package com.cf.imes.module.executor.enums;

import com.cf.imes.framework.common.exception.ErrorCode;

/**
 * @author there
 * 生产执行服务错误码枚举 使用 1-003-000-000 段
 */
public interface ErrorCodeConstants {

    // ========== 生产单开料排单
    ErrorCode PLAN_NOT_EXISTS = new ErrorCode(1_001_107_000, "生产单开料排单不存在");

    ErrorCode PLAN_NOT_ALLOW_DELETE = new ErrorCode(1_001_107_001, "排单 开料中 已开料 不予许删除");

    ErrorCode PLAN_NOT_ALLOW_CANCEL = new ErrorCode(1_001_107_002, "排单 新单 不予许作废");

    // ========== 生产单商品 TODO 补充编号 ==========
    ErrorCode GOODS_NOT_EXISTS = new ErrorCode(1_001_108_000, "生产单商品不存在");

    // ========== 生产单 TODO 补充编号 ==========
    ErrorCode ORDER_NOT_EXISTS = new ErrorCode(1_001_109_000, "生产单不存在");
    ErrorCode ORDER_IS_EMPTY = new ErrorCode(1_001_109_000, "生产单为空单，清空无效");
    ErrorCode ORDER_NOT_NEW_ORDER = new ErrorCode(1_001_109_000, "生产单不为新单，清空无效");
    ErrorCode ORDER_NOT_CANCEL = new ErrorCode(1_001_109_000, "生产单已排单，作废无效");
    ErrorCode ORDER_CANCEL = new ErrorCode(1_001_109_000, "生产单未作废，还原无效");

    // ========== 生产单 TODO 补充编号 ==========
    ErrorCode MODULE_NOT_EXISTS = new ErrorCode(1_001_110_000, "模块不存在");

    // ========== 生产单 TODO 补充编号 ==========
    ErrorCode MODULE_ITEM_NOT_EXISTS = new ErrorCode(1_001_111_000, "模块详情不存在");

    // ========== 生产单 TODO 补充编号 ==========
    ErrorCode ORDER_ITEM_NOT_EXISTS = new ErrorCode(1_001_112_000, "生产单详情不存在");

    // ========== 生产单 TODO 补充编号 ==========
    ErrorCode PLATE_NOT_EXISTS = new ErrorCode(1_001_113_000, "板材不存在");

    // ========== 生产单 TODO 补充编号 ==========
    ErrorCode ORDER_MODULE_EXTRA_NOT_EXISTS = new ErrorCode(1_001_114_000, "生产单模块不存在");

    // ========== 生产单 TODO 补充编号 ==========
    ErrorCode ORDER_PARTS_NOT_EXISTS = new ErrorCode(1_001_115_000, "生产单配件不存在");

    // ========== 生产单 TODO 补充编号 ==========
    ErrorCode PHONE_NOT_LAWFUL = new ErrorCode(1_001_116_000, "手机号不合法");
    ErrorCode CUSTOM_ORDER_EXISTS = new ErrorCode(1_001_117_000, "自定义生产单号存在");
    ErrorCode SALESMAN_ORDER_NOT_EXISTS = new ErrorCode(1_001_118_000, "业务员不存在");
    ErrorCode SPLITTER_ORDER_NOT_EXISTS = new ErrorCode(1_001_119_000, "拆单员不存在");
    ErrorCode ORDER_PROCESS_NOT_EXISTS = new ErrorCode(1_001_119_001, "工序组不存在");
    ErrorCode ORDER_PROCESS_EXISTS = new ErrorCode(1_001_119_002, "该生产单工序组已经存在");
    ErrorCode PROCESS_GROUP_NOT_EXISTS = new ErrorCode(1_002_029_003, "工序组不存在");
    ErrorCode ORDER_BODY_NOT_EXISTS = new ErrorCode(1_002_029_004, "此生产单中柜体并不存在不存在");
    ErrorCode RAW_GOODS_NOT_EXISTS = new ErrorCode(1_002_029_005, "生产单中未用到此板材");
    ErrorCode ORDER_STATUS_ERROR = new ErrorCode(1_002_029_006, "生产单不允许删除");
    ErrorCode APP_TOKEN_ERROR = new ErrorCode(1_002_029_007, "token获取失败");
    ErrorCode PLATE_PLAN_DATA_ERROR = new ErrorCode(1_002_029_008, "板材生产数据获取错误或此单为空单");
    ErrorCode PARTS_DATA_ERROR = new ErrorCode(1_002_029_009, "配件数据获取错误");
    ErrorCode BODY_DATA_ERROR = new ErrorCode(1_002_029_010, "柜体数据获取错误");
    ErrorCode GOODS_DATA_ERROR = new ErrorCode(1_002_029_011, "商品信息获取错误");
    ErrorCode PLATE_DATA_ERROR = new ErrorCode(1_002_029_012, "板材明细获取错误");
    ErrorCode FILE_READ_SUCCESS = new ErrorCode(1_002_029_012, "文件读取成功");
    ErrorCode FILE_READ_ERR = new ErrorCode(1_002_029_012, "文件读取错误");
    ErrorCode FILE_ADD_ERR = new ErrorCode(1_002_029_012, "文件已经存在是否强制保存");
    ErrorCode FILE_UPLOAD_ERR = new ErrorCode(1_002_029_012, "文件内容为空");

    ErrorCode SOURCE_NOT_EXITS_ERROR = new ErrorCode(1_002_029_013, "源数据查询失败");
    ErrorCode ORDER_CAN_NOT_DELETE = new ErrorCode(1_002_029_013, "存在状态不符合强制删除的生产单，禁止删除");
}
